# Changelog

All notable changes to this project will be documented in this file.

## Release 3.0.0

 * Update vcsref ("2021-04-02-01" instead off "2020-10-30-02") #71
 * Remove GITHUB_CLIENT_* parameters and OTP_SECRET_KEY parameter is now mandatory #75
 * Add environment variable OTP_SECRET_KEY #40
 * Add environment variable API_EDUCATION_URL #61
 * Add environment variables SAML_IDP* and SENDINBLUE_LOGIN_URL #55
 * Add optional environment variables CGU_URL and MENTIONS_LEGALES_URL #47
 * Add optional environment variables DOC_URL and FAQ_URL #57
 * Add optional environment variables FAVICON*, HEADER_LOGO* and MAILER_LOGO* #54
 * Add optional environment variable DS_ENV and remove APP_NAME environment variable #68
 * Add optional environment variable ACCESSIBILITE_URL #69
 * Add optional environment variable CONTACT_ADDRESS #63
 * Add optional environment variable DOSSIER_PDF_EXPORT_LOGO_SRC #62
 * Add optional environment variable MAILER_FOOTER_LOGO_SRC #64
 * Add optional environment variable PROCEDURE_DEFAULT_LOGO_SRC #56
 * Add optional environment variable WATERMARK_FILE #48
 * Allow to configure DS_PROXY_URL environment variable #58
 * Allow to configure MATOMO_ENABLED and MATOMO_ID environment variables #65
 * Fix CI trouble during apt-get install chromium-browser #60
 * Use pdk gem to release #59

## Release 2.1.0

 * Add an optional environment variable DEMANDE_INSCRIPTION_ADMIN_PAGE_URL #44

## Release 2.0.0

 * Ensure mode of dsdir to 0750 #50
 * Set secured default value for secret_key_base and signing_key #49

## Release 1.1.0

 * add HostAuthorization #45

## Release 1.0.1

 * notify puma when config in .env is modified #41

## Release 1.0.0

Initial release.
